import { GraphQLResolveInfo } from 'graphql';
import { TypedDocumentNode as DocumentNode } from '@graphql-typed-document-node/core';
export declare type Maybe<T> = T | null;
export declare type InputMaybe<T> = Maybe<T>;
export declare type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
export declare type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]?: Maybe<T[SubKey]>;
};
export declare type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]: Maybe<T[SubKey]>;
};
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
};
export declare type Query = {
    getExpenses?: Maybe<getExpensesResponse>;
};
export declare type QuerygetExpensesArgs = {
    input?: InputMaybe<getExpensesRequest_Input>;
};
export declare type getExpensesResponse = {
    description: Scalars['String'];
    expenses?: Maybe<Array<Maybe<Expense>>>;
    next_page?: Maybe<Scalars['String']>;
    result: Scalars['Int'];
    total_entries?: Maybe<Scalars['Int']>;
    total_pages?: Maybe<Scalars['String']>;
};
export declare type Expense = {
    created_at: Scalars['String'];
    currency_symbol?: Maybe<query_getExpenses_expenses_items_currency_symbol>;
    document_date?: Maybe<Scalars['String']>;
    document_id?: Maybe<Scalars['String']>;
    document_type?: Maybe<Scalars['String']>;
    file_name: Scalars['String'];
    file_url: Scalars['String'];
    foreign_total_for_payment?: Maybe<Scalars['Float']>;
    original_file_name?: Maybe<Scalars['String']>;
    provider: Scalars['String'];
    provider_business_num: Scalars['String'];
    recognized_vat_payment: Scalars['Float'];
    remarks?: Maybe<Scalars['String']>;
    status_classification: Scalars['String'];
    system_id: Scalars['Int'];
    total_for_payment: Scalars['Float'];
    total_for_vat: Scalars['Float'];
    updated_at: Scalars['String'];
    vat_payment: Scalars['Float'];
};
export declare type query_getExpenses_expenses_items_currency_symbol = 'EUR' | 'USD' | 'ILS';
export declare type getExpensesRequest_Input = {
    api_user?: InputMaybe<Scalars['String']>;
    query_options?: InputMaybe<queryInput_getExpenses_query_options_Input>;
};
export declare type queryInput_getExpenses_query_options_Input = {
    updated_from?: InputMaybe<Scalars['String']>;
    updated_to?: InputMaybe<Scalars['String']>;
    created_from?: InputMaybe<Scalars['String']>;
    created_to?: InputMaybe<Scalars['String']>;
    document_date_from?: InputMaybe<Scalars['String']>;
    document_date_to?: InputMaybe<Scalars['String']>;
    document_id?: InputMaybe<Scalars['String']>;
    system_id?: InputMaybe<Scalars['Int']>;
    order?: InputMaybe<queryInput_getExpenses_query_options_order>;
    page?: InputMaybe<Scalars['Int']>;
    per_page?: InputMaybe<Scalars['Int']>;
};
export declare type queryInput_getExpenses_query_options_order = 'document_date';
export declare type WithIndex<TObject> = TObject & Record<string, any>;
export declare type ResolversObject<TObject> = WithIndex<TObject>;
export declare type ResolverTypeWrapper<T> = Promise<T> | T;
export declare type ResolverWithResolve<TResult, TParent, TContext, TArgs> = {
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type Resolver<TResult, TParent = {}, TContext = {}, TArgs = {}> = ResolverFn<TResult, TParent, TContext, TArgs> | ResolverWithResolve<TResult, TParent, TContext, TArgs>;
export declare type ResolverFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => Promise<TResult> | TResult;
export declare type SubscriptionSubscribeFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => AsyncIterable<TResult> | Promise<AsyncIterable<TResult>>;
export declare type SubscriptionResolveFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
export interface SubscriptionSubscriberObject<TResult, TKey extends string, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<{
        [key in TKey]: TResult;
    }, TParent, TContext, TArgs>;
    resolve?: SubscriptionResolveFn<TResult, {
        [key in TKey]: TResult;
    }, TContext, TArgs>;
}
export interface SubscriptionResolverObject<TResult, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<any, TParent, TContext, TArgs>;
    resolve: SubscriptionResolveFn<TResult, any, TContext, TArgs>;
}
export declare type SubscriptionObject<TResult, TKey extends string, TParent, TContext, TArgs> = SubscriptionSubscriberObject<TResult, TKey, TParent, TContext, TArgs> | SubscriptionResolverObject<TResult, TParent, TContext, TArgs>;
export declare type SubscriptionResolver<TResult, TKey extends string, TParent = {}, TContext = {}, TArgs = {}> = ((...args: any[]) => SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>) | SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>;
export declare type TypeResolveFn<TTypes, TParent = {}, TContext = {}> = (parent: TParent, context: TContext, info: GraphQLResolveInfo) => Maybe<TTypes> | Promise<Maybe<TTypes>>;
export declare type IsTypeOfResolverFn<T = {}, TContext = {}> = (obj: T, context: TContext, info: GraphQLResolveInfo) => boolean | Promise<boolean>;
export declare type NextResolverFn<T> = () => Promise<T>;
export declare type DirectiveResolverFn<TResult = {}, TParent = {}, TContext = {}, TArgs = {}> = (next: NextResolverFn<TResult>, parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
export declare type ResolversTypes = ResolversObject<{
    Query: ResolverTypeWrapper<{}>;
    getExpensesResponse: ResolverTypeWrapper<getExpensesResponse>;
    String: ResolverTypeWrapper<Scalars['String']>;
    Int: ResolverTypeWrapper<Scalars['Int']>;
    Expense: ResolverTypeWrapper<Expense>;
    Float: ResolverTypeWrapper<Scalars['Float']>;
    query_getExpenses_expenses_items_currency_symbol: query_getExpenses_expenses_items_currency_symbol;
    getExpensesRequest_Input: getExpensesRequest_Input;
    queryInput_getExpenses_query_options_Input: queryInput_getExpenses_query_options_Input;
    queryInput_getExpenses_query_options_order: queryInput_getExpenses_query_options_order;
    Boolean: ResolverTypeWrapper<Scalars['Boolean']>;
}>;
export declare type ResolversParentTypes = ResolversObject<{
    Query: {};
    getExpensesResponse: getExpensesResponse;
    String: Scalars['String'];
    Int: Scalars['Int'];
    Expense: Expense;
    Float: Scalars['Float'];
    getExpensesRequest_Input: getExpensesRequest_Input;
    queryInput_getExpenses_query_options_Input: queryInput_getExpenses_query_options_Input;
    Boolean: Scalars['Boolean'];
}>;
export declare type QueryResolvers<ContextType = MeshContext, ParentType extends ResolversParentTypes['Query'] = ResolversParentTypes['Query']> = ResolversObject<{
    getExpenses?: Resolver<Maybe<ResolversTypes['getExpensesResponse']>, ParentType, ContextType, Partial<QuerygetExpensesArgs>>;
}>;
export declare type getExpensesResponseResolvers<ContextType = MeshContext, ParentType extends ResolversParentTypes['getExpensesResponse'] = ResolversParentTypes['getExpensesResponse']> = ResolversObject<{
    description?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    expenses?: Resolver<Maybe<Array<Maybe<ResolversTypes['Expense']>>>, ParentType, ContextType>;
    next_page?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    result?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    total_entries?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    total_pages?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
}>;
export declare type ExpenseResolvers<ContextType = MeshContext, ParentType extends ResolversParentTypes['Expense'] = ResolversParentTypes['Expense']> = ResolversObject<{
    created_at?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    currency_symbol?: Resolver<Maybe<ResolversTypes['query_getExpenses_expenses_items_currency_symbol']>, ParentType, ContextType>;
    document_date?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    document_id?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    document_type?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    file_name?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    file_url?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    foreign_total_for_payment?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    original_file_name?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    provider?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    provider_business_num?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    recognized_vat_payment?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    remarks?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    status_classification?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    system_id?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    total_for_payment?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    total_for_vat?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    updated_at?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    vat_payment?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
}>;
export declare type Resolvers<ContextType = MeshContext> = ResolversObject<{
    Query?: QueryResolvers<ContextType>;
    getExpensesResponse?: getExpensesResponseResolvers<ContextType>;
    Expense?: ExpenseResolvers<ContextType>;
}>;
import { MeshContext as BaseMeshContext, MeshInstance } from '@graphql-mesh/runtime';
import { InContextSdkMethod } from '@graphql-mesh/types';
export declare namespace PayperTypes {
    type Maybe<T> = T | null;
    type InputMaybe<T> = Maybe<T>;
    type Exact<T extends {
        [key: string]: unknown;
    }> = {
        [K in keyof T]: T[K];
    };
    type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
        [SubKey in K]?: Maybe<T[SubKey]>;
    };
    type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
        [SubKey in K]: Maybe<T[SubKey]>;
    };
    type Scalars = {
        ID: string;
        String: string;
        Boolean: boolean;
        Int: number;
        Float: number;
    };
    type Query = {
        getExpenses?: Maybe<getExpensesResponse>;
    };
    type QuerygetExpensesArgs = {
        input?: InputMaybe<getExpensesRequest_Input>;
    };
    type getExpensesResponse = {
        description: Scalars['String'];
        expenses?: Maybe<Array<Maybe<Expense>>>;
        next_page?: Maybe<Scalars['String']>;
        result: Scalars['Int'];
        total_entries?: Maybe<Scalars['Int']>;
        total_pages?: Maybe<Scalars['String']>;
    };
    type Expense = {
        created_at: Scalars['String'];
        currency_symbol?: Maybe<query_getExpenses_expenses_items_currency_symbol>;
        document_date?: Maybe<Scalars['String']>;
        document_id?: Maybe<Scalars['String']>;
        document_type?: Maybe<Scalars['String']>;
        file_name: Scalars['String'];
        file_url: Scalars['String'];
        foreign_total_for_payment?: Maybe<Scalars['Float']>;
        original_file_name?: Maybe<Scalars['String']>;
        provider: Scalars['String'];
        provider_business_num: Scalars['String'];
        recognized_vat_payment: Scalars['Float'];
        remarks?: Maybe<Scalars['String']>;
        status_classification: Scalars['String'];
        system_id: Scalars['Int'];
        total_for_payment: Scalars['Float'];
        total_for_vat: Scalars['Float'];
        updated_at: Scalars['String'];
        vat_payment: Scalars['Float'];
    };
    type query_getExpenses_expenses_items_currency_symbol = 'EUR' | 'USD' | 'ILS';
    type getExpensesRequest_Input = {
        api_user?: InputMaybe<Scalars['String']>;
        query_options?: InputMaybe<queryInput_getExpenses_query_options_Input>;
    };
    type queryInput_getExpenses_query_options_Input = {
        updated_from?: InputMaybe<Scalars['String']>;
        updated_to?: InputMaybe<Scalars['String']>;
        created_from?: InputMaybe<Scalars['String']>;
        created_to?: InputMaybe<Scalars['String']>;
        document_date_from?: InputMaybe<Scalars['String']>;
        document_date_to?: InputMaybe<Scalars['String']>;
        document_id?: InputMaybe<Scalars['String']>;
        system_id?: InputMaybe<Scalars['Int']>;
        order?: InputMaybe<queryInput_getExpenses_query_options_order>;
        page?: InputMaybe<Scalars['Int']>;
        per_page?: InputMaybe<Scalars['Int']>;
    };
    type queryInput_getExpenses_query_options_order = 'document_date';
}
export declare type QueryPayperSdk = {
    getExpenses: InContextSdkMethod<PayperTypes.Query['getExpenses'], PayperTypes.QuerygetExpensesArgs, MeshContext>;
};
export declare type MutationPayperSdk = {};
export declare type SubscriptionPayperSdk = {};
export declare type PayperContext = {
    ["Payper"]: {
        Query: QueryPayperSdk;
        Mutation: MutationPayperSdk;
        Subscription: SubscriptionPayperSdk;
    };
};
export declare type MeshContext = PayperContext & BaseMeshContext;
import { GetMeshOptions } from '@graphql-mesh/runtime';
import { YamlConfig } from '@graphql-mesh/types';
import 'ts-node/register/transpile-only';
export declare const rawConfig: YamlConfig.Config;
export declare function getMeshOptions(): Promise<GetMeshOptions>;
export declare const documentsInSDL: any[];
export declare function getBuiltMesh(): Promise<MeshInstance<MeshContext>>;
export declare function getMeshSDK<TGlobalContext = any, TOperationContext = any>(globalContext?: TGlobalContext): Promise<{
    getExpenses_query(variables?: Exact<{
        input?: getExpensesRequest_Input;
    }>, options?: TOperationContext): Promise<getExpenses_queryQuery>;
}>;
export declare type getExpenses_queryQueryVariables = Exact<{
    input?: InputMaybe<getExpensesRequest_Input>;
}>;
export declare type getExpenses_queryQuery = {
    getExpenses?: Maybe<(Pick<getExpensesResponse, 'description' | 'next_page' | 'result' | 'total_entries' | 'total_pages'> & {
        expenses?: Maybe<Array<Maybe<Pick<Expense, 'created_at' | 'currency_symbol' | 'document_date' | 'document_id' | 'document_type' | 'file_name' | 'file_url' | 'foreign_total_for_payment' | 'original_file_name' | 'provider' | 'provider_business_num' | 'recognized_vat_payment' | 'remarks' | 'status_classification' | 'system_id' | 'total_for_payment' | 'total_for_vat' | 'updated_at' | 'vat_payment'>>>>;
    })>;
};
export declare const getExpenses_queryDocument: DocumentNode<getExpenses_queryQuery, Exact<{
    input?: InputMaybe<getExpensesRequest_Input>;
}>>;
export declare type Requester<C = {}> = <R, V>(doc: DocumentNode, vars?: V, options?: C) => Promise<R>;
export declare function getSdk<C>(requester: Requester<C>): {
    getExpenses_query(variables?: getExpenses_queryQueryVariables, options?: C): Promise<getExpenses_queryQuery>;
};
export declare type Sdk = ReturnType<typeof getSdk>;
